{"openapi":"3.0.1","servers":[{"url":"https://mednumv3-backapi.lab.arte.tv"}],"paths":{"/api/v1/selections":{"get":{"tags":["catalog-controller"],"operationId":"listSelections","parameters":[{"name":"page_size","in":"query","required":false,"schema":{"type":"string"}},{"name":"page_nb","in":"query","required":false,"schema":{"type":"string"}},{"name":"q_library","in":"query","required":false,"schema":{"type":"string"}},{"name":"q_country","in":"query","required":false,"schema":{"type":"string"}},{"name":"q_cinetek","in":"query","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CatalogSelectionDTO"}}}}}}}},"/api/v1/films":{"get":{"tags":["catalog-controller"],"operationId":"listMovies","parameters":[{"name":"page_size","in":"query","required":false,"schema":{"type":"string"}},{"name":"page_nb","in":"query","required":false,"schema":{"type":"string"}},{"name":"q_library","in":"query","required":false,"schema":{"type":"string"}},{"name":"q_country","in":"query","required":false,"schema":{"type":"string"}},{"name":"q_credits","in":"query","required":false,"schema":{"type":"string"}},{"name":"q_credits_range","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CatalogMovieDTO"}}}}}}}}},"components":{"schemas":{"CatalogCodeDTO":{"type":"object","properties":{"type":{"type":"string"},"code":{"type":"string"}}},"CatalogLocaleDTO":{"type":"object","properties":{"type":{"type":"string"},"code":{"type":"string"}}},"CatalogMediaDTO":{"type":"object","properties":{"type":{"type":"string"},"url":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"}}},"CatalogMovieLightValueDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"title":{"type":"string"},"uuid":{"type":"string"},"description":{"type":"string"},"themes":{"type":"array","items":{"type":"string"}},"productionYear":{"type":"integer","format":"int32"},"rightHolder":{"type":"string"},"posterUrl":{"type":"string"},"trailerUrl":{"type":"string"},"url":{"type":"string"},"duration":{"type":"integer","format":"int32"},"audioLanguages":{"type":"array","items":{"$ref":"#/components/schemas/CatalogLocaleDTO"}},"directors":{"type":"array","items":{"$ref":"#/components/schemas/CatalogPersonDTO"}},"actors":{"type":"array","items":{"$ref":"#/components/schemas/CatalogPersonDTO"}},"publicationDate":{"type":"string","format":"date-time"},"releaseDate":{"type":"string","format":"date-time"},"versions":{"type":"array","items":{"type":"string"}},"genres":{"type":"array","items":{"type":"string"}},"categories":{"type":"array","items":{"type":"string"}},"subCategories":{"type":"array","items":{"type":"string"}},"hasStsm":{"type":"boolean"},"productionCountry":{"$ref":"#/components/schemas/CatalogLocaleDTO"},"codes":{"type":"array","items":{"$ref":"#/components/schemas/CatalogCodeDTO"}},"medias":{"type":"array","items":{"$ref":"#/components/schemas/CatalogMediaDTO"}},"rate":{"type":"number","format":"float"},"credits":{"type":"number","format":"float"},"availableCountries":{"type":"array","items":{"$ref":"#/components/schemas/CatalogLocaleDTO"}},"targetAudiences":{"type":"array","items":{"$ref":"#/components/schemas/CatalogTargetAudienceDTO"}}}},"CatalogPersonDTO":{"type":"object","properties":{"type":{"type":"string"},"fullName":{"type":"string"},"familyName":{"type":"string"},"givenName":{"type":"string"}}},"CatalogSelectionDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"title":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"type":{"type":"string","enum":["PLAYLIST","SELECTION","TOP","NOVELTIES","NOVELTIES_PUBDATE","NOVELTIES_RELEASE","NOVELTIES_NOQUOTAS","WISHLIST"]},"medias":{"type":"array","items":{"$ref":"#/components/schemas/CatalogMediaDTO"}},"movies":{"type":"array","items":{"$ref":"#/components/schemas/CatalogMovieLightValueDTO"}}}},"CatalogTargetAudienceDTO":{"type":"object","properties":{"type":{"type":"string"},"code":{"type":"string"}}},"CatalogBonusDTO":{"type":"object","properties":{"title":{"type":"string"},"content":{"type":"string"}}},"CatalogMovieDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"title":{"type":"string"},"uuid":{"type":"string"},"description":{"type":"string"},"themes":{"type":"array","items":{"type":"string"}},"productionYear":{"type":"integer","format":"int32"},"rightHolder":{"type":"string"},"posterUrl":{"type":"string"},"trailerUrl":{"type":"string"},"url":{"type":"string"},"duration":{"type":"integer","format":"int32"},"audioLanguages":{"type":"array","items":{"$ref":"#/components/schemas/CatalogLocaleDTO"}},"directors":{"type":"array","items":{"$ref":"#/components/schemas/CatalogPersonDTO"}},"actors":{"type":"array","items":{"$ref":"#/components/schemas/CatalogPersonDTO"}},"publicationDate":{"type":"string","format":"date-time"},"releaseDate":{"type":"string","format":"date-time"},"versions":{"type":"array","items":{"type":"string"}},"genres":{"type":"array","items":{"type":"string"}},"categories":{"type":"array","items":{"type":"string"}},"subCategories":{"type":"array","items":{"type":"string"}},"hasStsm":{"type":"boolean"},"productionCountry":{"$ref":"#/components/schemas/CatalogLocaleDTO"},"codes":{"type":"array","items":{"$ref":"#/components/schemas/CatalogCodeDTO"}},"medias":{"type":"array","items":{"$ref":"#/components/schemas/CatalogMediaDTO"}},"rate":{"type":"number","format":"float"},"credits":{"type":"number","format":"float"},"availableCountries":{"type":"array","items":{"$ref":"#/components/schemas/CatalogLocaleDTO"}},"targetAudiences":{"type":"array","items":{"$ref":"#/components/schemas/CatalogTargetAudienceDTO"}},"comments":{"type":"array","items":{"type":"string"}},"commentsLibrary":{"type":"array","items":{"type":"string"}},"bonuses":{"type":"array","items":{"$ref":"#/components/schemas/CatalogBonusDTO"}}}}}}}